Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3019)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3036)
@@ -3684,5 +3696,5 @@
              DO  k = kl, ku
 
-                kk = MINLOC( ABS( z_file - z_grid(k) ), DIM = 1 ) 
+                kk = MINLOC( ABS( z_file - z_grid(k) ), DIM = 1 )
 
                 IF ( kk < ku )  THEN
@@ -3691,5 +3703,5 @@
                                              ( var(kk+1,j,i) - var(kk,j,i) ) / &
                                              ( z_file(kk+1)  - z_file(kk)  ) * &
-                                             ( z_grid(k)     - z_file(kk)  ) 
+                                             ( z_grid(k)     - z_file(kk)  )
 
                    ELSEIF ( z_file(kk) - z_grid(k) > 0.0_wp )  THEN
@@ -3697,5 +3709,5 @@
                                              ( var(kk,j,i) - var(kk-1,j,i) ) / &
                                              ( z_file(kk)  - z_file(kk-1)  ) * &
-                                             ( z_grid(k)   - z_file(kk-1)  ) 
+                                             ( z_grid(k)   - z_file(kk-1)  )
                    ENDIF
 !
@@ -3705,5 +3717,5 @@
                                        ( var(ku,j,i)  - var(ku-1,j,i)   ) /    &
                                        ( z_file(ku)   - z_file(ku-1)    ) *    &
-                                       ( z_grid(k)    - z_file(ku)      )  
+                                       ( z_grid(k)    - z_file(ku)      )
 
                 ENDIF
@@ -3817,5 +3829,5 @@
 
        CHARACTER(LEN=*)            ::  attribute_name   !< attribute name
-       CHARACTER(LEN=*), OPTIONAL  ::  variable_name    !< variable name 
+       CHARACTER(LEN=*), OPTIONAL  ::  variable_name    !< variable name
 
        INTEGER(iwp), INTENT(IN)    ::  id               !< file id
@@ -3832,5 +3844,5 @@
           CALL handle_error( 'get_attribute_int32 global', 522 )
 !
-!--    Read attributes referring to a single variable. Therefore, first inquire 
+!--    Read attributes referring to a single variable. Therefore, first inquire
 !--    variable id
        ELSE
@@ -3838,5 +3850,5 @@
           CALL handle_error( 'get_attribute_int32', 522 )
           nc_stat = NF90_GET_ATT( id, id_var, TRIM( attribute_name ), value )
-          CALL handle_error( 'get_attribute_int32', 522 )       
+          CALL handle_error( 'get_attribute_int32', 522 )
        ENDIF
 #endif
@@ -3856,5 +3868,5 @@
 
        CHARACTER(LEN=*)            ::  attribute_name   !< attribute name
-       CHARACTER(LEN=*), OPTIONAL  ::  variable_name    !< variable name 
+       CHARACTER(LEN=*), OPTIONAL  ::  variable_name    !< variable name
 
        INTEGER(iwp), INTENT(IN)    ::  id               !< file id
@@ -3871,5 +3883,5 @@
           CALL handle_error( 'get_attribute_int8 global', 523 )
 !
-!--    Read attributes referring to a single variable. Therefore, first inquire 
+!--    Read attributes referring to a single variable. Therefore, first inquire
 !--    variable id
        ELSE
@@ -3877,5 +3889,5 @@
           CALL handle_error( 'get_attribute_int8', 523 )
           nc_stat = NF90_GET_ATT( id, id_var, TRIM( attribute_name ), value )
-          CALL handle_error( 'get_attribute_int8', 523 )       
+          CALL handle_error( 'get_attribute_int8', 523 )
        ENDIF
 #endif
@@ -3895,5 +3907,5 @@
 
        CHARACTER(LEN=*)            ::  attribute_name   !< attribute name
-       CHARACTER(LEN=*), OPTIONAL  ::  variable_name    !< variable name 
+       CHARACTER(LEN=*), OPTIONAL  ::  variable_name    !< variable name
 
        INTEGER(iwp), INTENT(IN)    ::  id               !< file id
@@ -3912,5 +3924,5 @@
           CALL handle_error( 'get_attribute_real global', 524 )
 !
-!-- Read attributes referring to a single variable. Therefore, first inquire 
+!-- Read attributes referring to a single variable. Therefore, first inquire
 !-- variable id
        ELSE
@@ -3918,5 +3930,5 @@
           CALL handle_error( 'get_attribute_real', 524 )
           nc_stat = NF90_GET_ATT( id, id_var, TRIM( attribute_name ), value )
-          CALL handle_error( 'get_attribute_real', 524 )       
+          CALL handle_error( 'get_attribute_real', 524 )
        ENDIF
 #endif
@@ -3938,5 +3950,5 @@
 
        CHARACTER(LEN=*)                ::  attribute_name   !< attribute name
-       CHARACTER(LEN=*), OPTIONAL      ::  variable_name    !< variable name 
+       CHARACTER(LEN=*), OPTIONAL      ::  variable_name    !< variable name
        CHARACTER(LEN=*), INTENT(INOUT) ::  value            !< read value
 
@@ -3953,5 +3965,5 @@
           CALL handle_error( 'get_attribute_string global', 525 )
 !
-!--    Read attributes referring to a single variable. Therefore, first inquire 
+!--    Read attributes referring to a single variable. Therefore, first inquire
 !--    variable id
        ELSE
@@ -3960,5 +3972,5 @@
 
           nc_stat = NF90_GET_ATT( id, id_var, TRIM( attribute_name ), value )
-          CALL handle_error( 'get_attribute_string',525 ) 
+          CALL handle_error( 'get_attribute_string',525 )
 
        ENDIF
@@ -3980,5 +3992,5 @@
        IMPLICIT NONE
 
-       CHARACTER(LEN=*)            ::  variable_name    !< dimension name 
+       CHARACTER(LEN=*)            ::  variable_name    !< dimension name
        CHARACTER(LEN=100)          ::  dum              !< dummy variable to receive return character
 
@@ -3994,5 +4006,5 @@
 !--    Inquire dimension length
        nc_stat = NF90_INQUIRE_DIMENSION( id, id_dim, dum, LEN = dim_len )
-       CALL handle_error( 'get_dimension_length', 526 ) 
+       CALL handle_error( 'get_dimension_length', 526 )
 
 #endif
@@ -4002,5 +4014,5 @@
 ! Description:
 ! ------------
-!> Reads a 1D integer variable from file. 
+!> Reads a 1D integer variable from file.
 !------------------------------------------------------------------------------!
      SUBROUTINE get_variable_1d_int( id, variable_name, var )
@@ -4010,5 +4022,5 @@
        IMPLICIT NONE
 
-       CHARACTER(LEN=*)            ::  variable_name    !< variable name 
+       CHARACTER(LEN=*)            ::  variable_name    !< variable name
 
        INTEGER(iwp), INTENT(IN)    ::  id               !< file id
@@ -4025,5 +4037,5 @@
 !--    Inquire dimension length
        nc_stat = NF90_GET_VAR( id, id_var, var )
-       CALL handle_error( 'get_variable_1d_int', 527 ) 
+       CALL handle_error( 'get_variable_1d_int', 527 )
 
 #endif
@@ -4033,5 +4045,5 @@
 ! Description:
 ! ------------
-!> Reads a 1D float variable from file. 
+!> Reads a 1D float variable from file.
 !------------------------------------------------------------------------------!
      SUBROUTINE get_variable_1d_real( id, variable_name, var )
@@ -4041,5 +4053,5 @@
        IMPLICIT NONE
 
-       CHARACTER(LEN=*)            ::  variable_name    !< variable name 
+       CHARACTER(LEN=*)            ::  variable_name    !< variable name
 
        INTEGER(iwp), INTENT(IN)    ::  id               !< file id
@@ -4056,5 +4068,5 @@
 !--    Inquire dimension length
        nc_stat = NF90_GET_VAR( id, id_var, var )
-       CALL handle_error( 'get_variable_1d_real', 527 ) 
+       CALL handle_error( 'get_variable_1d_real', 527 )
 
 #endif
@@ -4065,5 +4077,5 @@
 ! Description:
 ! ------------
-!> Reads a time-dependent 1D float variable from file. 
+!> Reads a time-dependent 1D float variable from file.
 !------------------------------------------------------------------------------!
     SUBROUTINE get_variable_pr( id, variable_name, t, var )
@@ -4074,5 +4086,5 @@
        IMPLICIT NONE
 
-       CHARACTER(LEN=*)                      ::  variable_name    !< variable name 
+       CHARACTER(LEN=*)                      ::  variable_name    !< variable name
 
        INTEGER(iwp), INTENT(IN)              ::  id               !< file id
@@ -4092,9 +4104,9 @@
        nc_stat = NF90_INQUIRE_DIMENSION( id, id_dim(1), LEN = n_file )
 !
-!--    Read variable. 
+!--    Read variable.
        nc_stat = NF90_GET_VAR( id, id_var, var,                                &
                                start = (/ 1,      t     /),                    &
                                count = (/ n_file, 1     /) )
-       CALL handle_error( 'get_variable_pr', 527 ) 
+       CALL handle_error( 'get_variable_pr', 527 )
 
 #endif
@@ -4105,7 +4117,7 @@
 ! Description:
 ! ------------
-!> Reads a 2D REAL variable from a file. Reading is done processor-wise, 
-!> i.e. each core reads its own domain in slices along x. 
-!------------------------------------------------------------------------------! 
+!> Reads a 2D REAL variable from a file. Reading is done processor-wise,
+!> i.e. each core reads its own domain in slices along x.
+!------------------------------------------------------------------------------!
     SUBROUTINE get_variable_2d_real( id, variable_name, i, var )
 
@@ -4139,6 +4151,6 @@
 ! Description:
 ! ------------
-!> Reads a 2D 32-bit INTEGER variable from file. Reading is done processor-wise, 
-!> i.e. each core reads its own domain in slices along x. 
+!> Reads a 2D 32-bit INTEGER variable from file. Reading is done processor-wise,
+!> i.e. each core reads its own domain in slices along x.
 !------------------------------------------------------------------------------!
     SUBROUTINE get_variable_2d_int32( id, variable_name, i, var )
@@ -4172,6 +4184,6 @@
 ! Description:
 ! ------------
-!> Reads a 2D 8-bit INTEGER variable from file. Reading is done processor-wise, 
-!> i.e. each core reads its own domain in slices along x. 
+!> Reads a 2D 8-bit INTEGER variable from file. Reading is done processor-wise,
+!> i.e. each core reads its own domain in slices along x.
 !------------------------------------------------------------------------------!
     SUBROUTINE get_variable_2d_int8( id, variable_name, i, var )
@@ -4249,5 +4261,5 @@
 ! Description:
 ! ------------
-!> Reads a 3D float variable from file.  
+!> Reads a 3D float variable from file.
 !------------------------------------------------------------------------------!
     SUBROUTINE get_variable_3d_real( id, variable_name, i, j, var )
@@ -4369,5 +4381,5 @@
 ! Description:
 ! ------------
-!> Reads a 4D float variable from file. Note, in constrast to 3D versions, 
+!> Reads a 4D float variable from file. Note, in constrast to 3D versions,
 !> dimensions are already inquired and passed so that they are known here.
 !------------------------------------------------------------------------------!
@@ -4411,5 +4423,5 @@
 ! Description:
 ! ------------
-!> Reads a 3D float variable at left, right, north, south and top boundaries. 
+!> Reads a 3D float variable at left, right, north, south and top boundaries.
 !------------------------------------------------------------------------------!
     SUBROUTINE get_variable_bc( id, variable_name, t_start,                    &
@@ -4431,5 +4443,5 @@
        INTEGER(iwp)                  ::  t_start         !< start index at time dimension with respect to netcdf convention
 
-       REAL(wp), DIMENSION(:), INTENT(INOUT) ::  var     !< input variable 
+       REAL(wp), DIMENSION(:), INTENT(INOUT) ::  var     !< input variable
 #if defined( __netcdf )
 
@@ -4440,6 +4452,6 @@
 !--    Get variable
        nc_stat = NF90_GET_VAR( id, id_var, var,                              &
-                               start = (/ i3_s, i2_s, t_start /),            & 
-                               count = (/ count_3, count_2, 1 /) )        
+                               start = (/ i3_s, i2_s, t_start /),            &
+                               count = (/ count_3, count_2, 1 /) )
 
        CALL handle_error( 'get_variable_bc', 532 )
@@ -4452,5 +4464,5 @@
 ! Description:
 ! ------------
-!> Inquires the number of variables in a file  
+!> Inquires the number of variables in a file
 !------------------------------------------------------------------------------!
     SUBROUTINE inquire_num_variables( id, num_vars )
@@ -4475,5 +4487,5 @@
 ! Description:
 ! ------------
-!> Inquires the variable names belonging to a file. 
+!> Inquires the variable names belonging to a file.
 !------------------------------------------------------------------------------!
     SUBROUTINE inquire_variable_names( id, var_names )
